import 'package:json_annotation/json_annotation.dart'; 
  
part 'gallery_example_item_model.g.dart';


@JsonSerializable()
  class GalleryExampleItemModel extends Object {

  final String id;
  final String resource;
  final bool isSvg;


  GalleryExampleItemModel({
    required this.id,
    required this.resource,
    this.isSvg = false,
  });

  factory GalleryExampleItemModel.fromJson(Map<String, dynamic> srcJson) => _$GalleryExampleItemModelFromJson(srcJson);

  Map<String, dynamic> toJson() => _$GalleryExampleItemModelToJson(this);

}

  
